###############################################################################
## Author: Núria Pérez-Zanón
## Description: Computes the NAO index and some skill metrics for it, for a 
##              seasonal prediction system.
## Instructions: To run it, modify the recipe to set your own output directory.
###############################################################################

source("modules/Loading/Loading.R")
source("modules/Calibration/Calibration.R")
source("modules/Skill/Skill.R")
source("modules/Saving/Saving.R")
source("tools/prepare_outputs.R")
source("modules/Anomalies/Anomalies.R")

recipe_file <- "recipes/NAO_recipe.yml"
recipe <- prepare_outputs(recipe_file)

data <- Loading(recipe)
data <- Anomalies(recipe, data)
source("modules/Indices/Indices.R")
nao_s2dv <- Indices(data = data, recipe = recipe)
source("modules/Skill/Skill.R")
skill_metrics <- Skill(recipe = recipe, data = nao_s2dv, agg = 'region')



